CVE-2019-19725

See a problem?
Source
https://nvd.nist.gov/vuln/detail/CVE-2019-19725
Import Source
https://storage.googleapis.com/cve-osv-conversion/osv-output/CVE-2019-19725.json
JSON Data
https://api.osv.dev/v1/vulns/CVE-2019-19725
Related
Published
2019-12-11T18:16:20Z
Modified
2024-06-04T05:25:34.141449Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
[none]
Details

sysstat through 12.2.0 has a double free in checkfileactlst in sa_common.c.

References

Affected packages

Debian:11 / sysstat

Package

Name
sysstat
Purl
pkg:deb/debian/sysstat?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
12.2.0-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:12 / sysstat

Package

Name
sysstat
Purl
pkg:deb/debian/sysstat?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
12.2.0-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Debian:13 / sysstat

Package

Name
sysstat
Purl
pkg:deb/debian/sysstat?arch=source

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
12.2.0-2

Ecosystem specific

{
    "urgency": "unimportant"
}

Git / github.com/sysstat/sysstat

Affected ranges

Type
GIT
Repo
https://github.com/sysstat/sysstat
Events
Introduced
0 Unknown introduced commit / All previous commits are affected
Last affected

Affected versions

11.*

11.1.5

v10.*

v10.0.0
v10.0.1
v10.0.2
v10.0.3
v10.0.4
v10.0.5
v10.1.1
v10.1.2
v10.1.3
v10.1.4
v10.1.5
v10.1.6
v10.1.7
v10.2.0
v10.2.1
v10.3.1

v11.*

v11.0.0
v11.1.1
v11.1.2
v11.1.3
v11.1.4
v11.1.5
v11.1.6
v11.1.7
v11.1.8
v11.2.0
v11.3.1
v11.3.2
v11.3.3
v11.3.4
v11.3.5
v11.4.0
v11.5.1
v11.5.2
v11.5.3
v11.5.4
v11.5.5
v11.5.6
v11.5.7
v11.6.0
v11.7.1
v11.7.2
v11.7.3
v11.7.4

v12.*

v12.0.0
v12.1.1
v12.1.2
v12.1.3
v12.1.4
v12.1.5
v12.1.6
v12.1.7
v12.2.0

v9.*

v9.1.5
v9.1.6
v9.1.7